probleme installation version 2.10

Besoin d'aide pour le script ? L'installation ? C'est par ici !
Règles du forum
Indiquez toujours votre nom de domaine lorsque vous faites une demande d'aide.
L'aide est réservée à ceux qui possèdent une licence à jour

probleme installation version 2.10

Messagede acrobat » Jeu 28 Fév 2019 08:13

bonjour admin,

petit soucis sur l'installation du script version 2, le telechargement des fichiers via le ftp se passent bien, l'installation en elle meme aussi, oar contre des que l'installation se termine j'ai des messages d'erreur de syntaxe comme ceux la:

You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '/*!40101 SET NAMES utf8 */' at line 1
- REQUETE : /*!40101 SET NAMES utf8 */

- PAGE : /installation/installation.php

Toutes nos excuses, une erreur s'est produite avec requ�te � la base de donn�es. L'administrateur a �t� pr�venu.
Variable 'character_set_client' can't be set to the value of 'NULL'
- REQUETE : /*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */

- PAGE : /installation/installation.php

Toutes nos excuses, une erreur s'est produite avec requ�te � la base de donn�es. L'administrateur a �t� pr�venu.
Variable 'collation_connection' can't be set to the value of 'NULL'
- REQUETE : /*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

- PAGE : /installation/installation.php

Toutes nos excuses, une erreur s'est produite avec requ�te � la base de donn�es. L'administrateur a �t� pr�venu.
Une erreur s'est produite pendant l'installation.

/*!40101 SET NAMES utf8 */ You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '/*!40101 SET NAMES utf8 */' at line 1 /*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */ Variable 'character_set_client' can't be set to the value of 'NULL' /*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */; Variable 'collation_connection' can't be set to the value of 'NULL'
Félicitations, l'installation est terminée, vous pouvez utiliser votre PTP.


A quoi cela peut bien être du? Sachant que du coup lorsque je me connecte a mon admin certaines fonctionnalités ne se font plus comme créer une nouvelle zone de pub par exemple...

Merci de votre aide

acrobat
http://micro-taches-remunerees.fr
http://www.surf-remunere.tk
acrobat
 
Messages: 48
Inscription: Ven 14 Juil 2017 06:39

Publicité

probleme installation version 2.10

Publicité

sg-autorepondeur.com
 

Re: probleme installation version 2.10

Messagede creadunet » Jeu 28 Fév 2019 09:38

Bonjour

Toutes ces erreurs ne posent aucun soucis, la base a bien été envoyée.
Les problèmes sont ailleurs.

Activez les erreurs PHP, pour savoir quels sont les problèmes exacts.
creadunet
Administrateur du site
 
Messages: 2217
Inscription: Mer 29 Avr 2009 07:37

Re: probleme installation version 2.10

Messagede acrobat » Jeu 28 Fév 2019 10:37

Les erreurs PHP sont bien activées je regarderai et reviendrai vers vous selon les erreurs que j'aurai.

Merci bien
acrobat
 
Messages: 48
Inscription: Ven 14 Juil 2017 06:39

Re: probleme installation version 2.10

Messagede acrobat » Jeu 28 Fév 2019 11:26

Bon me revoila,

Voici ce que ca me met quand je veux créer une nouvelle zone pub:

Incorrect integer value: '' for column `id6287422_bdd`.`11_zonepub_emplacement`.`id` at row 1
- REQUETE : INSERT INTO `11_zonepub_emplacement` VALUES ('','zone 2 728*90','728','90','30','1')

- PAGE : /administration/gestion_pub.php

Toutes nos excuses, une erreur s'est produite avec requ�te � la base de donn�es. L'administrateur a �t� pr�venu.

Emplacement ajouté

Et quand je regarde ma base, la ligne zone 2 n'a pas été ajouté comme précisé.

Comment faire?

Bien à vous
acrobat
 
Messages: 48
Inscription: Ven 14 Juil 2017 06:39

Re: probleme installation version 2.10

Messagede creadunet » Jeu 28 Fév 2019 11:31

Est-ce que la base est réglé avec un auto-increment ?

PHP quelle version ?
creadunet
Administrateur du site
 
Messages: 2217
Inscription: Mer 29 Avr 2009 07:37

Re: probleme installation version 2.10

Messagede acrobat » Jeu 28 Fév 2019 13:54

Pour la base aucune idée au niveau du réglage je vais regarder.

Pour la version PHP, elle est en 5.6 pour le moment mais je vais la modifié ce soir en 7.0 pour le fichier test
acrobat
 
Messages: 48
Inscription: Ven 14 Juil 2017 06:39

Re: probleme installation version 2.10

Messagede acrobat » Jeu 28 Fév 2019 13:58

d'ailleurs ou et comment voit on si elle réglée en auto increment ou pas?
acrobat
 
Messages: 48
Inscription: Ven 14 Juil 2017 06:39

Re: probleme installation version 2.10

Messagede acrobat » Jeu 28 Fév 2019 15:56

J'ai trouver ou on voit ca mais c'est bien réglé en AUTO-INCREMENT, donc ca ne vient pas de la. Par contre j'ai constaté quelque chose d'étrange, mon hebergement est bien reglé pour fonctionné avec PHP 5.6 alors que dans mon phpmyadmin il dit que le serveur web fonctionne sur PHP 7.3; Est-ce normal du coup?

Bien à vous
acrobat
 
Messages: 48
Inscription: Ven 14 Juil 2017 06:39

Re: probleme installation version 2.10

Messagede creadunet » Ven 1 Mar 2019 09:14

On va faire un test, directement dans PHPMYADMIN :

Mettez-vous dans la base id6287422_bdd
Cliquez sur l'onglet SQL

1er TEST
Mettez :
INSERT INTO `11_zonepub_emplacement` VALUES ('','zone 2 728*90','728','90','30','1')
puis exécuter

Logiquement... il y aura la même erreur.

2ème TEST
(j'ai ajouté un ID au hasard 7)
Mettez :
INSERT INTO `11_zonepub_emplacement` VALUES (NULL,'zone 2 728*90','728','90','30','1')
puis exécuter

La 2ème devrait marcher.


Les standards mysql évoluent, et il faut probablement que je mette certaines syntaxes à jour.
creadunet
Administrateur du site
 
Messages: 2217
Inscription: Mer 29 Avr 2009 07:37

Re: probleme installation version 2.10

Messagede acrobat » Ven 1 Mar 2019 11:23

Bonjour,

effectivement ça a fonctionné avec le 2ème test. Je dois faire pour toutes les données à enregistrer dans la table? Ca risque d'être compliqué...
acrobat
 
Messages: 48
Inscription: Ven 14 Juil 2017 06:39

Suivante

Retourner vers Aide script PTP



cron